package com.ssj.bean.weixin.sales.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  wuwen 
 * @version 2017年12月3日23:20:3
 * 类说明  课程
 */
@Entity
@Table(name = "tb_lib_course")
public class LibCourse extends BaseEntity  {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3378852305172216774L;
	
	private String libId;	
	private String cName;	
	private String cTarget;	
	private String cNumber;	
	private String cLessonHour;	
	private String cArrange;	
	private String cFeatures;	
	private String cLessonInterval;	
	private Date cCalendar;	
	private Date cCourseTime;	
	private String cDetails;	
	private String cType;	
	private Integer cState;	
	private Date createTime;
	
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getcName() {
		return cName;
	}
	public void setcName(String cName) {
		this.cName = cName;
	}
	public String getcTarget() {
		return cTarget;
	}
	public void setcTarget(String cTarget) {
		this.cTarget = cTarget;
	}
	public String getcNumber() {
		return cNumber;
	}
	public void setcNumber(String cNumber) {
		this.cNumber = cNumber;
	}
	public String getcLessonHour() {
		return cLessonHour;
	}
	public void setcLessonHour(String cLessonHour) {
		this.cLessonHour = cLessonHour;
	}
	public String getcArrange() {
		return cArrange;
	}
	public void setcArrange(String cArrange) {
		this.cArrange = cArrange;
	}
	public String getcFeatures() {
		return cFeatures;
	}
	public void setcFeatures(String cFeatures) {
		this.cFeatures = cFeatures;
	}
	public String getcLessonInterval() {
		return cLessonInterval;
	}
	public void setcLessonInterval(String cLessonInterval) {
		this.cLessonInterval = cLessonInterval;
	}

	public Date getcCalendar() {
		return cCalendar;
	}
	public void setcCalendar(Date cCalendar) {
		this.cCalendar = cCalendar;
	}
	public Date getcCourseTime() {
		return cCourseTime;
	}
	public void setcCourseTime(Date cCourseTime) {
		this.cCourseTime = cCourseTime;
	}
	public String getcDetails() {
		return cDetails;
	}
	public void setcDetails(String cDetails) {
		this.cDetails = cDetails;
	}
	public String getcType() {
		return cType;
	}
	public void setcType(String cType) {
		this.cType = cType;
	}
	public Integer getcState() {
		return cState;
	}
	public void setcState(Integer cState) {
		this.cState = cState;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}	


}
